#ifndef __Socket_h_
#define __Socket_h_

#include <stdio.h>
#include <ssl.h>
#include "common.h"
#include "dynassl.h"

class Socket {
 public:
  SOCKET s;
  SSL *ssl;

  Socket(SOCKET is = -1, SSL *issl = 0) {
    s = is;
    ssl = issl;
  }

  SOCKET getSocket() { return s; }
  int read(char *buf, int len);
  int write(char *buf, int len);
  BOOL isSSL() { return ssl ? TRUE : FALSE; }
};

#endif __Socket_h_
